# Interface PropertyChangeEventDataBase<T>

Represents the event data for a property change event.

interface PropertyChangeEventDataBase<T> {
oldVal: any;
property: keyof T;
sender: T;
}

#### Type Parameters

- T

  The type of the sender object.

##### Index

### Properties

oldVal
property
sender

## Properties

### oldVal

oldVal: any

previous value of property

#### Remarks

To get new value use

    const newValue = sender[property];

### property

property: keyof T

property that changed on object of type `T`.

#### Remarks

To get new value use

    const newValue = sender[property];

### sender

sender: T

object instance property changed on.

#### Remarks

To get changed value use

    const newValue = sender[property];